﻿/**Begin D:\PDM_UPGRADE_1.1\PDM_UPGRADE\PDM1\PMIM_table.sql **/
EXEC p_AlterColumn 'T_PMIM_SOURCEENTRY', 'FREMARK', 'NVARCHAR(255)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_SOURCEENTRY' AND KSQL_COL_NAME ='FCURRENTENTRYAMT') 
 ALTER TABLE T_PMIM_SOURCEENTRY ADD (FCURRENTENTRYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_PROJECTPROPOSALBD_A' AND KSQL_COL_NAME ='FPROJECT') 
 ALTER TABLE T_PMIM_PROJECTPROPOSALBD_A ADD (FPROJECT BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_PROJECTPROPOSALBD_A' AND KSQL_COL_NAME ='FTOTALOLDAMOUNT') 
 ALTER TABLE T_PMIM_PROJECTPROPOSALBD_A ADD (FTOTALOLDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_PROJECTPROPOSALBD_A' AND KSQL_COL_NAME ='FTOTALDIFFAMOUNT') 
 ALTER TABLE T_PMIM_PROJECTPROPOSALBD_A ADD (FTOTALDIFFAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_AUINVESTPLANENTRY' AND KSQL_COL_NAME ='FPROJECTNO') 
 ALTER TABLE T_PMIM_AUINVESTPLANENTRY ADD (FPROJECTNO BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_AUINVESTPLANENTRY' AND KSQL_COL_NAME ='FINDUSTRYKIND') 
 ALTER TABLE T_PMIM_AUINVESTPLANENTRY ADD (FINDUSTRYKIND BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_AUINVESTPLANENTRY' AND KSQL_COL_NAME ='FINVESTDIRECTION') 
 ALTER TABLE T_PMIM_AUINVESTPLANENTRY ADD (FINVESTDIRECTION NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_AUINVESTPLANENTRY' AND KSQL_COL_NAME ='FINVESTKIND') 
 ALTER TABLE T_PMIM_AUINVESTPLANENTRY ADD (FINVESTKIND NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_AUINVESTPLANENTRY' AND KSQL_COL_NAME ='FOVERSEAPRO') 
 ALTER TABLE T_PMIM_AUINVESTPLANENTRY ADD (FOVERSEAPRO NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_AUINVESTPLANENTRY' AND KSQL_COL_NAME ='FSTARTENDTIME') 
 ALTER TABLE T_PMIM_AUINVESTPLANENTRY ADD (FSTARTENDTIME NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_AUINVESTPLANENTRY' AND KSQL_COL_NAME ='FPROJCETBUGAMT') 
 ALTER TABLE T_PMIM_AUINVESTPLANENTRY ADD (FPROJCETBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_AUINVESTPLANENTRY' AND KSQL_COL_NAME ='FFINISHINVESTAMT') 
 ALTER TABLE T_PMIM_AUINVESTPLANENTRY ADD (FFINISHINVESTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_AUINVESTPLANENTRY' AND KSQL_COL_NAME ='FPROJECTTYPE') 
 ALTER TABLE T_PMIM_AUINVESTPLANENTRY ADD (FPROJECTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_AUINVESTPLANENTRY' AND KSQL_COL_NAME ='FPROJECTSTATUS') 
 ALTER TABLE T_PMIM_AUINVESTPLANENTRY ADD (FPROJECTSTATUS BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_FUNSOURCEENTRY') 
 CREATE TABLE T_PMIM_FUNSOURCEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFUNDSOURCETYPE BIGINT DEFAULT 0 NOT NULL,
FFORMOFINVEST NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVESTCURRENCY BIGINT DEFAULT 0 NOT NULL,
FCURRENTENTRYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_PROPOSAL_F7_SOURCE') 
 CREATE TABLE T_PMIM_PROPOSAL_F7_SOURCE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFUNDSOURCETYPE BIGINT DEFAULT 0 NOT NULL,
FFORMOFINVEST NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVESTCURRENCY BIGINT DEFAULT 0 NOT NULL,
FSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOLDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFFAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTENTRYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE_1.1\PDM_UPGRADE\PDM1\PMIM_table.sql **/
