﻿/**Begin D:\PDM_UPGRADE\pdmnew\PMIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_INVESTPLAN') 
 CREATE TABLE T_PMIM_INVESTPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FVERSION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FYEAR DATETIME,
FEFFECTIVETIME DATETIME,
FISSUETIME DATETIME,
FSTOPTIME DATETIME,
FEFFECTIVESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISSUESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALINVESTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYFIELD BIGINT DEFAULT 0 NOT NULL,
FEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMONETARYUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGLEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_INVESTPLANENTRY') 
 CREATE TABLE T_PMIM_INVESTPLANENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FORGFIELD BIGINT DEFAULT 0 NOT NULL,
FPARENTORG BIGINT DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREGISTERAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBEFORELASTYEARAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBEFORELASTYEARRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTYEARAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTYEARRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTYEARAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEXTYEARAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAFTERNEXTYEARAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\pdmnew\PMIM_table.sql **/
