
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_PROJECTPROPOSAL_A' AND KSQL_COL_NAME ='FAPPROVALTIME') 
 ALTER TABLE T_PMIM_PROJECTPROPOSAL_A ADD (FAPPROVALTIME DATETIME);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_INVESTPLANADJUST') 
 CREATE TABLE T_PMIM_INVESTPLANADJUST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FANNUALSTRATEGICPLANAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVESTBUDAMTBEADJUST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVESTBUDAMTAFADJUST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEFFECTIVESTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FEFFECTIVETIME DATETIME,
FSTOPTIME DATETIME,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_INVESTPLANADJUST_L') 
 CREATE TABLE T_PMIM_INVESTPLANADJUST_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_INVESTPROENTRY') 
 CREATE TABLE T_PMIM_INVESTPROENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSOURCEORG BIGINT DEFAULT 0 NOT NULL,
FPROJECTKINDID BIGINT DEFAULT 0 NOT NULL,
FPROJECTNO BIGINT DEFAULT 0 NOT NULL,
FPROJECTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPROVALCON NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREPORTORG BIGINT DEFAULT 0 NOT NULL,
FDECLARETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPROVALSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISINPLAN CHAR(1) DEFAULT ' ' NOT NULL,
FIMVESTCURRENCY BIGINT DEFAULT 0 NOT NULL,
FPROJCETBUGAPPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSEBUDGETAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROBUDAPPAMTAFADJUST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROOWNEDFUNDS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROEXTERNALFUNDS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARAPPROVEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARUSEBUDGETAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARAPPAMTAFADJUST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROYEAROWNEDFUNDS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROYEAREXTERNALFUNDS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTENDTIME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFINDUSTRYKIND BIGINT DEFAULT 0 NOT NULL,
FOVERSEAPRO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINVESTDIRECTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINVESTKIND NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINVESTLISTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINVESTCOMMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFISACCEPTED CHAR(1) DEFAULT ' ' NOT NULL,
FPROJECTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTSTATUS BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_BUDGETSOURCEENTRY') 
 CREATE TABLE T_PMIM_BUDGETSOURCEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFUNDSOURCETYPE BIGINT DEFAULT 0 NOT NULL,
FFORMOFINVEST NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVESTCURRENCY BIGINT DEFAULT 0 NOT NULL,
FCURRENTENTRYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_INVESTPLANADJUST' AND KSQL_COL_NAME ='FCREATEORGID')
 ALTER TABLE T_PMIM_INVESTPLANADJUST ADD (FCREATEORGID BIGINT DEFAULT 0 NOT NULL );
