IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_BUDGETBASE_L') 
 CREATE TABLE T_PMIM_BUDGETBASE_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_PROJECTPROPOSAL' AND KSQL_COL_NAME ='FENABLE') 
 ALTER TABLE T_PMIM_PROJECTPROPOSAL ADD (FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_PROJECTPROPOSAL' AND KSQL_COL_NAME ='FMASTERID') 
 ALTER TABLE T_PMIM_PROJECTPROPOSAL ADD (FMASTERID BIGINT DEFAULT 0 NOT NULL );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_PROJECTPROPOSAL_L') 
 CREATE TABLE T_PMIM_PROJECTPROPOSAL_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_BUDGETBASE' AND KSQL_COL_NAME ='FLASTYEARBUGAMT') 
 ALTER TABLE T_PMIM_BUDGETBASE ADD (FLASTYEARBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_BUDGETBASE' AND KSQL_COL_NAME ='FLASTYEARFIAMT') 
 ALTER TABLE T_PMIM_BUDGETBASE ADD (FLASTYEARFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_BUDGETAUDIT' AND KSQL_COL_NAME ='FREPAUDSTATUS') 
 ALTER TABLE T_PMIM_BUDGETAUDIT ADD (FREPAUDSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_BUDGETBASE' AND KSQL_COL_NAME ='FLASTYEARBUGAMT') 
 ALTER TABLE T_PMIM_BUDGETBASE ADD (FLASTYEARBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_BUDGETBASE' AND KSQL_COL_NAME ='FLASTYEARFIAMT') 
 ALTER TABLE T_PMIM_BUDGETBASE ADD (FLASTYEARFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_PROJECTPROPOSAL_L') 
 CREATE TABLE T_PMIM_PROJECTPROPOSAL_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 't_pmim_investbugetplan' AND KSQL_COL_NAME ='FMASTERID') 
 ALTER TABLE t_pmim_investbugetplan ADD (FMASTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_INVESTBUGETPLAN' AND KSQL_COL_NAME ='FENABLE') 
 ALTER TABLE T_PMIM_INVESTBUGETPLAN ADD (FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_pmim_investbugetplan_l') 
 CREATE TABLE t_pmim_investbugetplan_l (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_BUDGETBASE' AND KSQL_COL_NAME ='FREPROTORGID') 
 ALTER TABLE T_PMIM_BUDGETBASE ADD (FREPROTORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_BUDGETBASE' AND KSQL_COL_NAME ='FREPLYORGID') 
 ALTER TABLE T_PMIM_BUDGETBASE ADD (FREPLYORGID BIGINT DEFAULT 0 NOT NULL );
