﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMIM_constraint.sql **/
EXEC p_DropIdx 'IDX_PMIM_SOU_EN_0', 'T_PMIM_SOURCEENTRY';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_SOU_EN_0') CREATE INDEX IDX_PMIM_SOU_EN_0 ON T_PMIM_SOURCEENTRY ( FFUNDRESOURCEID );

EXEC p_DropIdx 'IDX_PMIM_PROSTU_0', 'T_PMIM_PROJECTSTATUS';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_PROSTU_0') CREATE INDEX IDX_PMIM_PROSTU_0 ON T_PMIM_PROJECTSTATUS ( FNUMBER );

EXEC p_DropIdx 'IDX_PMIM_PP_PRO_EN_0', 'T_PMIM_PP_PROJECTENTRY';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_PP_PRO_EN_0') CREATE INDEX IDX_PMIM_PP_PRO_EN_0 ON T_PMIM_PP_PROJECTENTRY ( FBASEDATAID );

EXEC p_DropIdx 'IDX_PMIM_PRO_MSG_DOC_0', 'T_PMIM_PROJECTMSGDOC';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_PRO_MSG_DOC_0') CREATE INDEX IDX_PMIM_PRO_MSG_DOC_0 ON T_PMIM_PROJECTMSGDOC ( FBASEDATAID );

EXEC p_DropIdx 'IDX_PMIM_IN_BUG_0', 'T_PMIM_INVESTBUGETPLAN';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_IN_BUG_0') CREATE INDEX IDX_PMIM_IN_BUG_0 ON T_PMIM_INVESTBUGETPLAN ( FBILLNO );

EXEC p_DropIdx 'IDX_PMIM_PMSG_EN_0', 'T_PMIM_PMSGENTRY';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_PMSG_EN_0') CREATE INDEX IDX_PMIM_PMSG_EN_0 ON T_PMIM_PMSGENTRY ( FYEAR );

EXEC p_DropIdx 'IDX_PMIM_INV_EN_0', 'T_PMIM_INVENTRY';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_INV_EN_0') CREATE INDEX IDX_PMIM_INV_EN_0 ON T_PMIM_INVENTRY ( FBUGETNUMBER );

EXEC p_DropIdx 'IDX_PMIM_BUG_BUG_EN_0', 'T_PMIM_BUGAUD_BUG_ENTRY';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_BUG_BUG_EN_0') CREATE INDEX IDX_PMIM_BUG_BUG_EN_0 ON T_PMIM_BUGAUD_BUG_ENTRY ( FBUGETNUMBER );

EXEC p_DropIdx 'IDX_PMIM_PRO_PRO_BD_0', 'T_PMIM_PROJECTPROPOSALBD';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_PRO_PRO_BD_0') CREATE INDEX IDX_PMIM_PRO_PRO_BD_0 ON T_PMIM_PROJECTPROPOSALBD ( FNUMBER );

 EXEC P_ALTERPK 'PK_T_PMIM_EQUIPPURENTRY', 'T_PMIM_EQUIPPURENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_EQUIPPURENTRY_FK_1') CREATE INDEX IDX_PMIM_EQUIPPURENTRY_FK_1 ON T_PMIM_EQUIPPURENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMIM_EQUIPPURCHASEPLAN', 'T_PMIM_EQUIPPURCHASEPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_EQUPURPLAN_FBILLNO_0') CREATE INDEX IDX_PMIM_EQUPURPLAN_FBILLNO_0 ON T_PMIM_EQUIPPURCHASEPLAN ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMIM_BUDGETBASE_L', 'T_PMIM_BUDGETBASE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_BUG_BA_0') CREATE INDEX IDX_PMIM_BUG_BA_0 ON T_PMIM_BUDGETBASE_L ( FLOCALEID );


EXEC p_DropIdx 'IDX_PMIM_PRO_PRO_0', 'T_PMIM_PROJECTPROPOSAL';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_PRO_PRO_0') CREATE INDEX IDX_PMIM_PRO_PRO_0 ON T_PMIM_PROJECTPROPOSAL ( FBILLNO );

 EXEC P_ALTERPK 'PK_T_PMIM_PROJECTPROPOSAL_L', 'T_PMIM_PROJECTPROPOSAL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_PRO_PRO_L_0') CREATE INDEX IDX_PMIM_PRO_PRO_L_0 ON T_PMIM_PROJECTPROPOSAL_L ( FLOCALEID );


EXEC p_DropIdx 'IDX_PMIM_BUD_AUD_0', 'T_PMIM_BUDGETAUDIT';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_BUD_AUD_0') CREATE INDEX IDX_PMIM_BUD_AUD_0 ON T_PMIM_BUDGETAUDIT ( FBILLNO );

 EXEC P_ALTERPK 'PK_T_PMIM_BUDGETBASE', 'T_PMIM_BUDGETBASE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_BUG_BASE_0') CREATE INDEX IDX_PMIM_BUG_BASE_0 ON T_PMIM_BUDGETBASE ( FNUMBER );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMIM_constraint.sql **/
