﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_INVESTPLANCLAIM_L') 
 CREATE TABLE T_PMIM_INVESTPLANCLAIM_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_SPECIALAPPROVAL_L') 
 CREATE TABLE T_PMIM_SPECIALAPPROVAL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_INVESTPLANCLAIM') 
 CREATE TABLE T_PMIM_INVESTPLANCLAIM (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCLIAMDATE DATETIME,
FINVESTPLANTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVESTCYCLE VARCHAR(20) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FINVESTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTINVESTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARPERIOD DATETIME,
FMOTHPERIOD DATETIME,
FCLAIMPERSONID BIGINT DEFAULT 0 NOT NULL,
FPERIODSTR VARCHAR(20) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_SPECIALAPPROVAL') 
 CREATE TABLE T_PMIM_SPECIALAPPROVAL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSPECAPPRODATE DATETIME,
FSPECAPPROPERSONID BIGINT DEFAULT 0 NOT NULL,
FSPECAPPROTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVESTCYCLE VARCHAR(20) DEFAULT ' ' NOT NULL,
FYEARPERIOD DATETIME,
FMONTHPERIOD DATETIME,
FSHOWPERIOD VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_PROJECTENTRY') 
 CREATE TABLE T_PMIM_PROJECTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FENTRYINVESTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYCURINVESTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONCLUSION VARCHAR(20) DEFAULT ' ' NOT NULL,
FSUPORGID BIGINT DEFAULT 0 NOT NULL,
FFINALSTATE VARCHAR(20) DEFAULT ' ' NOT NULL,
FENTRYINVESTTYPEID BIGINT DEFAULT 0 NOT NULL,
FENTRYINVESTCYCLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCLAIMTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FISVALID VARCHAR(1) DEFAULT '0' NOT NULL,
FPREENTRYID VARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FENTRYINVESTPERIOD VARCHAR(20) DEFAULT ' ' NOT NULL,
FAUDITDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FSPECIALORGID BIGINT DEFAULT 0 NOT NULL,
FSPECIALPERSONID BIGINT DEFAULT 0 NOT NULL,
FSHOWFINALSTATE VARCHAR(20) DEFAULT ' ' NOT NULL,
FSOURCEENTRYID VARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYCLAIMDATE DATETIME,
FSOURCEBILLTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FISLATEST VARCHAR(20) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_INVESTENTRY') 
 CREATE TABLE T_PMIM_INVESTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FFUNDSOURCETYPEID BIGINT DEFAULT 0 NOT NULL,
FENTRYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTENTRYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMMENT VARCHAR(200) DEFAULT ' ' NOT NULL,
FISADD VARCHAR(1) DEFAULT '0' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMIM_table.sql **/
