﻿/**Begin D:\PDM_UPGRADE\PDM1\PMIM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_PMIM_PROJECTSTATUS', 'T_PMIM_PROJECTSTATUS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_PROSTU_0') CREATE INDEX IDX_PMIM_PROSTU_0 ON T_PMIM_PROJECTSTATUS ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMIM_BUDGETAUDIT', 'T_PMIM_BUDGETAUDIT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_BUD_AUD_0') CREATE INDEX IDX_PMIM_BUD_AUD_0 ON T_PMIM_BUDGETAUDIT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMIM_BUGAUD_BUG_ENTRY', 'T_PMIM_BUGAUD_BUG_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_BUG_BUG_EN_0') CREATE INDEX IDX_PMIM_BUG_BUG_EN_0 ON T_PMIM_BUGAUD_BUG_ENTRY ( FBUGETNUMBER );


 EXEC P_ALTERPK 'PK_T_PMIM_INVESTBUGETPLAN', 'T_PMIM_INVESTBUGETPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_IN_BUG_0') CREATE INDEX IDX_PMIM_IN_BUG_0 ON T_PMIM_INVESTBUGETPLAN ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMIM_PMSGENTRY', 'T_PMIM_PMSGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_PMSG_EN_0') CREATE INDEX IDX_PMIM_PMSG_EN_0 ON T_PMIM_PMSGENTRY ( FYEAR );


 EXEC P_ALTERPK 'PK_T_PMIM_PP_PROJECTENTRY', 'T_PMIM_PP_PROJECTENTRY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_PP_PRO_EN_0') CREATE INDEX IDX_PMIM_PP_PRO_EN_0 ON T_PMIM_PP_PROJECTENTRY ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_PMIM_PROJECTMSGDOC', 'T_PMIM_PROJECTMSGDOC', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_PRO_MSG_DOC_0') CREATE INDEX IDX_PMIM_PRO_MSG_DOC_0 ON T_PMIM_PROJECTMSGDOC ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_PMIM_PROJECTPROPOSALBD', 'T_PMIM_PROJECTPROPOSALBD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_PRO_PRO_BD_0') CREATE INDEX IDX_PMIM_PRO_PRO_BD_0 ON T_PMIM_PROJECTPROPOSALBD ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMIM_SOURCEENTRY', 'T_PMIM_SOURCEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_SOU_EN_0') CREATE INDEX IDX_PMIM_SOU_EN_0 ON T_PMIM_SOURCEENTRY ( FFUNDRESOURCEID );


 EXEC P_ALTERPK 'PK_T_PMIM_PROJECTPROPOSAL', 'T_PMIM_PROJECTPROPOSAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_PRO_PRO_0') CREATE INDEX IDX_PMIM_PRO_PRO_0 ON T_PMIM_PROJECTPROPOSAL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMIM_PROJECTPROPOSALBD_L', 'T_PMIM_PROJECTPROPOSALBD_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_PRO_PRO_BD_L_0') CREATE  CLUSTERED INDEX IDX_PMIM_PRO_PRO_BD_L_0 ON T_PMIM_PROJECTPROPOSALBD_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_T_PMIM_PROJECTSTATUS_L', 'T_PMIM_PROJECTSTATUS_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_PRO_STU_L_0') CREATE  CLUSTERED INDEX IDX_PMIM_PRO_STU_L_0 ON T_PMIM_PROJECTSTATUS_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_T_PMIM_INVENTRY', 'T_PMIM_INVENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMIM_INV_EN_0') CREATE INDEX IDX_PMIM_INV_EN_0 ON T_PMIM_INVENTRY ( FBUGETNUMBER );



/**End D:\PDM_UPGRADE\PDM1\PMIM_constraint.sql **/
