﻿/**Begin D:\PDM_UPGRADE\PDM1\PMIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_INVESTPLANCLAIM_L') 
 CREATE TABLE T_PMIM_INVESTPLANCLAIM_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_SPECIALAPPROVAL_L') 
 CREATE TABLE T_PMIM_SPECIALAPPROVAL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_INVESTPLANCLAIM') 
 CREATE TABLE T_PMIM_INVESTPLANCLAIM (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCLIAMDATE DATETIME,
FINVESTPLANTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVESTCYCLE VARCHAR(20) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FINVESTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTINVESTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARPERIOD DATETIME,
FMOTHPERIOD DATETIME,
FCLAIMPERSONID BIGINT DEFAULT 0 NOT NULL,
FPERIODSTR VARCHAR(20) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_SPECIALAPPROVAL') 
 CREATE TABLE T_PMIM_SPECIALAPPROVAL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSPECAPPRODATE DATETIME,
FSPECAPPROPERSONID BIGINT DEFAULT 0 NOT NULL,
FSPECAPPROTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVESTCYCLE VARCHAR(20) DEFAULT ' ' NOT NULL,
FYEARPERIOD DATETIME,
FMONTHPERIOD DATETIME,
FSHOWPERIOD VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_INVESTENTRY') 
 CREATE TABLE T_PMIM_INVESTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FFUNDSOURCETYPEID BIGINT DEFAULT 0 NOT NULL,
FENTRYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTENTRYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMMENT VARCHAR(200) DEFAULT ' ' NOT NULL,
FISADD VARCHAR(1) DEFAULT '0' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_PLANATTCH') 
 CREATE TABLE T_PMIM_PLANATTCH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_ATTACHENTRY') 
 CREATE TABLE T_PMIM_ATTACHENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FATTCHTEXT VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_PROJECTENTRY') 
 CREATE TABLE T_PMIM_PROJECTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FENTRYINVESTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYCURINVESTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONCLUSION VARCHAR(20) DEFAULT ' ' NOT NULL,
FSUPORGID BIGINT DEFAULT 0 NOT NULL,
FFINALSTATE VARCHAR(20) DEFAULT ' ' NOT NULL,
FENTRYINVESTTYPEID BIGINT DEFAULT 0 NOT NULL,
FENTRYINVESTCYCLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCLAIMTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FISVALID VARCHAR(1) DEFAULT '0' NOT NULL,
FPREENTRYID VARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FENTRYINVESTPERIOD VARCHAR(20) DEFAULT ' ' NOT NULL,
FAUDITDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FSPECIALORGID BIGINT DEFAULT 0 NOT NULL,
FSPECIALPERSONID BIGINT DEFAULT 0 NOT NULL,
FSHOWFINALSTATE VARCHAR(20) DEFAULT ' ' NOT NULL,
FSOURCEENTRYID VARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYCLAIMDATE DATETIME,
FSOURCEBILLTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FISLATEST VARCHAR(20) DEFAULT ' ' NOT NULL,
FPROJECTNUM VARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_PROJECTSTATUS') 
 CREATE TABLE T_PMIM_PROJECTSTATUS (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_BUDGETAUDIT') 
 CREATE TABLE T_PMIM_BUDGETAUDIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FYEARBUGAPPNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FYEARBUGAPPNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFILLORGID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FPROPROPOSALID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_BUGAUD_BUG_ENTRY') 
 CREATE TABLE T_PMIM_BUGAUD_BUG_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBUGETNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTPROPOSALID BIGINT DEFAULT 0 NOT NULL,
FPROJECTSTATUSID BIGINT DEFAULT 0 NOT NULL,
FBUGETAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FARREARSAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTYEARBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTYEARFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJECTKINDID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_INVESTBUGETPLAN') 
 CREATE TABLE T_PMIM_INVESTBUGETPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FYEARFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISREPORT CHAR(1) DEFAULT ' ' NOT NULL,
FREPORTORGID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_PMSGENTRY') 
 CREATE TABLE T_PMIM_PMSGENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FYEARBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FARREARSAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTYEARBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTYEARFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISQUOTE CHAR(1) DEFAULT ' ' NOT NULL,
FPROJECTSTATUSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_PP_PROJECTENTRY') 
 CREATE TABLE T_PMIM_PP_PROJECTENTRY (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_PROJECTMSGDOC') 
 CREATE TABLE T_PMIM_PROJECTMSGDOC (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_PROJECTPROPOSALBD') 
 CREATE TABLE T_PMIM_PROJECTPROPOSALBD (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTKINDID BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FYEARBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FARREARSAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTYEARBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTYEARFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJECTPROPOSALID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISQUOTE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_SOURCEENTRY') 
 CREATE TABLE T_PMIM_SOURCEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFORMOFINVEST NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFUNDRESOURCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_PROJECTPROPOSAL') 
 CREATE TABLE T_PMIM_PROJECTPROPOSAL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FPROJCETBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJCETFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUGREBACKDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPLANBEGINDATE DATETIME,
FPLANENDDATE DATETIME,
FPROJECTCONTACTER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FBUGREBACKSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTKIND BIGINT DEFAULT 0 NOT NULL,
FPROJECTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FYEAR DATETIME,
FYEARBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FARREARSAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTYEARBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTYEARFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTOWERID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONDATE DATETIME,
FOPERATIONERID BIGINT DEFAULT 0 NOT NULL,
FCANCELDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FPROJECTSTATUSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_PROJECTPROPOSALBD_L') 
 CREATE TABLE T_PMIM_PROJECTPROPOSALBD_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_PROJECTSTATUS_L') 
 CREATE TABLE T_PMIM_PROJECTSTATUS_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_INVENTRY') 
 CREATE TABLE T_PMIM_INVENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBUGETNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBUGETAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FARREARSAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTYEARBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTYEARFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJECTKINDID BIGINT DEFAULT 0 NOT NULL,
FPROJECTSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPROJECTPROPOSALID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\PMIM_table.sql **/
