﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_PROJECTPROPOSALBD' AND KSQL_COL_NAME ='FREPORTBUDGET') 
 ALTER TABLE T_PMIM_PROJECTPROPOSALBD ADD (FREPORTBUDGET CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMIM_PROJECTPROPOSALBD' AND KSQL_COL_NAME ='FREPORTORGID') 
 ALTER TABLE T_PMIM_PROJECTPROPOSALBD ADD (FREPORTORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_AUINVESTPLANENTRY') 
 CREATE TABLE T_PMIM_AUINVESTPLANENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPROVALCON NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREPORTORG BIGINT DEFAULT 0 NOT NULL,
FDECLARETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTPROPOSALID BIGINT DEFAULT 0 NOT NULL,
FPROPOSALNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FORIANNUALINCESTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIFINANCIALEX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FANLINVESDECLAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FANFINAEXBUDDEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPROVEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINANAPPROVEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVESTBUDINCREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINAEXBUDINCREAS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FARREARSAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTYEARBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTYEARFIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSOURCEORG BIGINT DEFAULT 0 NOT NULL,
FPROJECTKINDID BIGINT DEFAULT 0 NOT NULL,
FISACCEPTED CHAR(1) DEFAULT ' ' NOT NULL,
FDATASOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINVESTLISTID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_AUNUALINVESTPLAN') 
 CREATE TABLE T_PMIM_AUNUALINVESTPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FINVESTBUDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINANCIALEXBUDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVESTBUDADDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINANCIALEXBUDADDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FINLCUAPPROLIST CHAR(1) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMIM_AUNUALINVESTPLAN_L') 
 CREATE TABLE T_PMIM_AUNUALINVESTPLAN_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMIM_table.sql **/
